@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
@import url('https://cdn.jsdelivr.net/npm/bootstrap-icons@1.8.1/font/bootstrap-icons.css');

*,
*::before,
*::after {
	padding: 0;
	margin: 0;
	border: 0 solid transparent;
	box-sizing: inherit;
	font-family: inherit;
}

button {
	cursor: pointer;
	display: inline-block;
}

button:disabled {
	cursor: not-allowed;
}

input,
select,
textarea {
	color: inherit;
}

i {
	display: inline-block;
}

/* reusable */

.d-none {
	display: none !important;
}

.hidden {
	opacity: 0;
	pointer-events: none;
	visibility: hidden;
}

.view {
	width: 100%;
	max-width: var(--view-max-width);
}

.view.shadowed {
	box-shadow: 0 0 4rem rgb(11 117 203 / 15%);
}

.view.bordered {
	border: 0.1rem solid #1c5d92;
	border-radius: 0.8rem;
}

.view .header {
	margin-bottom: 1rem;

	display: flex;
	align-items: center;
	gap: 2rem;

	font-size: 1.6rem;
	color: hsl(207deg 90% 42%);
}

.view .header .icon {
	font-size: 3.6rem;
	font-weight: 700;
}

.view .header,
.view .content,
.view .actions {
	padding: 0.8rem 1.6rem;
}

.view-action--next {
	margin-left: auto;
	padding: 1rem 3rem;

	display: block;

	background-color: white;
	color: #0b75cb;

	font-size: 1.8rem;
	font-weight: 700;

	border: 0.1rem solid currentColor;
	border-radius: 0.2rem;

	transition: all 0.3s;
}

.view-action--next:hover {
	background: #0b75cb;
	color: white;

}
.ship-placement-view .left .ship.selected {
    border: none!important;
}
.dropdown-anda li {    list-style-type: none;}
.ship-placement-view .left .ship.selected .ship-part {
    background-color: #b34545;
    flex: 1;
    transition: all 0.3s;
}

.view-action--next:disabled,
.view-action--next.disabled {
	filter: brightness(0.8);
	cursor: not-allowed;
}
.game-mode-view .game-mode-option:hover:not(.selected) {    background: #0b75cb; color:white}
.modal {
	position: fixed;
	width: 100%;
	height: 100%;
	background-color: rgba(0 0 0 / 40%);
	backdrop-filter: blur(1px);
	display: flex;
	justify-content: center;
	align-items: center;
	z-index: 99999;
}

.modal .body {
	max-width: 40rem;
	max-height: 20rem;
	background-color: #121212;
	border-radius: 0.8rem;
	border: 0.1rem solid #ccaacc29;
	box-shadow: 0 0 1rem #ffffff47;
}

.modal .header,
.modal .content,
.modal .actions {
	padding: 1.2rem 3.2rem;
}

.modal .header {
	font-size: 2rem;
	font-weight: 700;
	color: orangered;

	display: flex;
	align-items: center;
	gap: 1.6rem;

	text-transform: capitalize;
}

.modal .header .icon {
	font-size: 3.2rem;
}

.modal .content {
	font-size: 1.6rem;
	line-height: 1.5;
	color: #ddd;
}

.modal .actions {
	display: flex;
	align-items: center;
	justify-content: end;
}

.modal .action-btn {
	font-size: 1.6rem;
	font-weight: 700;
	background-color: transparent;
	padding: 0.4rem 2rem;
	border: 0.1rem solid;
	border-color: #d0d0d0;
	color: #d0d0d0;
	border-radius: 0.3rem;
}
